function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2022 F. Cuvelier
%
  S=struct('name','fc-simesh', 'tag','0.4.5','commit','2435c8c22b6280df5521be7d137c3a206f3d455d','date', '2022-12-21','time','14-27-51','status',0);return; % automatically updated
  rep=fc_simesh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-simesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
